# Учебный хостинг

У нас есть свой *учебный хостинг*, на котором вы экспериментировали с **git**.

Для того, что бы разместить php код на нём, вы можете создать у себя в домашней директории папку `public_html` используя **ssh**:

```shell
username@helium ~ $ mkdir ~/public_html # создаем папку
username@helium ~ $ cd ~/public_html    # заходим в неё
username@helium ~/public_html $ mkdir project       # создаем папку проекта, имя поддомена
username@helium ~/public_html $ cd project          # заходим в папку project
username@helium ~/public_html/project $ echo "<?php phpinfo(); " > php_tst.php # создаем файл php_tst.php
```

После этого ваш файл доступен через Интернет по адресу [http://project.username.php1.a-level.com.ua/php_tst.php](http://project.username.php1.a-level.com.ua/php_tst.php),
**где**:

- `project` - имя папки в `public_html`, вы можете назвать её по-другому, например `twig`
- `username` - имя вашего пользователя **ssh**.

Для закачки файлов вы можете пользоваться **sshfs**, **ftp** с тем же логином и паролем что и на **ssh** или **git** из вашего репозитария из **shell**
(ssh)

## Примеры:

http://phptest.asmer.php1.a-level.com.ua/phphell.php. Этот файл (`phphell.php`) лежит у пользователя `asmer` в папке `~/public_html/phptest`.
